#include <bits/stdc++.h>
using namespace std;

int main() {
    int n,k;
    scanf("%d %d",&n,&k);
    vector<int> mete;
    vector<int> res;
    mete.resize(2*n+1);
    for (int i=0; i<2*n+1;i++) {
        mete[i]=0;
    }
    int p,br;
    br=0;
    for (int i=0; i<n; i++) {
        scanf(" %d",&p);
        mete[n+p]+=1;
    }
    for (int i=0; i<2*n+1;i++) {
        if (mete[i]>=k) {
            res.push_back(i-n);
            br+=1;
        }
    }
    printf("%d\n",br);
    for (int i=0;i<res.size();i++) {
        printf("%d ",res[i]);
    }
    return 0;
}